org.apache.solr.hadoop

## Class TreeMergeMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>
  - - org.apache.solr.hadoop.TreeMergeMapper

-     public class TreeMergeMapper
      extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>

  For the meat see `TreeMergeOutputFormat`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `org.apache.hadoop.mapreduce.Mapper.Context`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `MAX_SEGMENTS_ON_TREE_MERGE`
    `static String` | `SOLR_SHARD_NUMBER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeMergeMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `map(org.apache.hadoop.io.LongWritable key, org.apache.hadoop.io.Text value, org.apache.hadoop.mapreduce.Mapper.Context context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_SEGMENTS_ON_TREE_MERGE

          public static final String MAX_SEGMENTS_ON_TREE_MERGE

      See Also:
        Constant Field Values

    - #### SOLR_SHARD_NUMBER

          public static final String SOLR_SHARD_NUMBER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TreeMergeMapper

          public TreeMergeMapper()

  - ### Method Detail

    - #### map

          protected void map(org.apache.hadoop.io.LongWritable key,
                             org.apache.hadoop.io.Text value,
                             org.apache.hadoop.mapreduce.Mapper.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,org.apache.hadoop.io.Text,org.apache.hadoop.io.NullWritable>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.